Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Package propertyeditors :: Module descriptioneditor :: Class DescriptionEditor |
[frames] | no frames]

# Class DescriptionEditor

source code

                     object --+
                              |
          baseeditor.BaseEditor --+
                                  |
                   wx.Panel --+   |
                              |   |
    DescriptionEditorGuiCreator --+
                                  |
                                 DescriptionEditor

Instance Methods
__init__(self, parent, editor, name="") x.__init__(...) initializes x; see help(type(x)) for signature | source code
get_data(self) | source code
clear_data(self) | source code
Inherited from `baseeditor.BaseEditor`: `create_gui`, `focus`, `set_data` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__` Inherited from `DescriptionEditorGuiCreator`: `create_controls`, `create_sizer`, `put_controls_in_sizer`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, parent, editor, name="") (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: DescriptionEditorGuiCreator.__init__

### get_data(self) | source code
Overrides: baseeditor.BaseEditor.get_data